Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003016TestLinkNew Featurepublic2009-12-18 21:272010-05-01 20:34
ReporterJulian 
Assigned Toasimon 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.9 Beta 2 
Summary0003016: Comparison of testcases (and requirement) versions
DescriptionTo easily identify changes between testcase / requirement versions it is necessary to implement a web-based diff.
Diff should be easy to use and configure.

On UI-level there could be a button labled "Compare Versions" for each test case / requirement. When clicking this button a page showing all versions of this test case / requirement opens. On this page user may select which versions are to be compared. He also can decide how many lines in context of the difference should be shown.

UI Prototype and screenshot of web diff attached.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon diff.PNG [^] (42,890 bytes) 2009-12-18 21:27


zip file icon prototype_tc_req_compare_non_functional.zip [^] (833 bytes) 2009-12-18 21:27
bz2 file icon diff.tar.bz2 [^] (32,847 bytes) 2010-01-04 22:49
bz2 file icon 3016_diff_v2.tar.bz2 [^] (45,279 bytes) 2010-01-05 23:48
bz2 file icon 3016_diff_v3.tar.bz2 [^] (46,232 bytes) 2010-01-06 23:44
bz2 file icon 3016_diff_v4.tar.bz2 [^] (46,971 bytes) 2010-01-07 22:45

- Relationships
parent of 0003042closedfman Two radio buttons appear in compare Versioning. 

-  Notes
(0008511)
Julian (reporter)
2009-12-18 22:04

Reminder sent to: fman, mhavlat

Hi Martin,

please check this feature and if it satifies your needs.
fman told me you wished for such a feature.

regards
Julian
(0008531)
mhavlat (reporter)
2009-12-21 19:48

I'm fine with.
(0008587)
asimon (developer)
2010-01-04 22:52

I have developed and attached a working prototype of requested feature.
Requirement/testcase versions can now be selected and compared in requirement/testcase view. Diff opens in a new window (if opened in frame, too much space is lost).

Please review and tell me what you think.

- Issue History
Date Modified Username Field Change
2009-12-18 21:27 Julian New Issue
2009-12-18 21:27 Julian File Added: diff.PNG
2009-12-18 21:27 Julian File Added: prototype_tc_req_compare_non_functional.zip
2009-12-18 21:28 Julian Status new => assigned
2009-12-18 21:28 Julian Assigned To => asimon
2009-12-18 22:04 Julian Note Added: 0008511
2009-12-21 19:48 mhavlat Note Added: 0008531
2010-01-04 22:49 asimon File Added: diff.tar.bz2
2010-01-04 22:52 asimon Note Added: 0008587
2010-01-05 23:48 asimon File Added: 3016_diff_v2.tar.bz2
2010-01-06 23:44 asimon File Added: 3016_diff_v3.tar.bz2
2010-01-07 22:45 asimon File Added: 3016_diff_v4.tar.bz2
2010-01-11 21:09 Julian Relationship added parent of 0003042
2010-01-12 15:13 asimon Status assigned => resolved
2010-01-12 15:13 asimon Fixed in Version => 1.9 (DEV)
2010-01-12 15:13 asimon Resolution open => fixed
2010-05-01 20:34 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker